Bug 11878 - add missing provides:
: add missing provides:
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/ant)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2007-05-24 16:29 by
Modified: 2007-07-27 18:20 (History)


Attachments
bsf support (1.75 KB, patch)
2007-06-13 23:25, viy
no flags Details | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-05-24 16:29:49
add
Provides: ant-apache-bcel to ant-bcel
Provides: ant-apache-oro to ant-jakarta-oro
Provides: ant-apache-regexp to ant-jakarta-regexp
Provides: ant-apache-log4j to ant-log4j
Provides: ant-apache-bcel to ant-bcel
Provides: ant-apache-resolver to ant-xml-resolver
там только Provides: добавить, jar'ы с таким именем там уже есть :)
решил напомнить в багзиллу, так как письмом оно тогда потерялось.
------- Comment #1 From 2007-06-08 14:19:03 -------
еще надо собрать     ant-apache-bsf,
bsf есть
------- Comment #2 From 2007-06-11 13:08:02 -------
спасибо за ant alt5.
А что там с ant-apache-bsf?
не получилось?
нужен для сборки eclipse.
------- Comment #3 From 2007-06-11 14:02:29 -------
Не хватило времени разобраться, как его собрать.
------- Comment #4 From 2007-06-13 23:23:28 -------
прилагаю патч для поддержки bsf
------- Comment #5 From 2007-06-13 23:25:20 -------
Created an attachment (id=2019) [details]
bsf support
------- Comment #6 From 2007-06-13 23:27:47 -------
да, а ant-contrib
(jpackage/1.7/generic/free/SRPMS/ant-contrib-1.0-0.b2.1jpp.src.rpm)
не хотели бы собрать?
у меня есть конвертированный src.rpm,
он собирается, но внутри исходники анта 1.6.5
а не 1.7.0
------- Comment #7 From 2007-06-13 23:40:58 -------
только что еще заметил:
к
Provides: ant-apache-bcel 
Provides: ant-apache-oro 
Provides: ant-apache-regexp 
Provides: ant-apache-log4j 
Provides: ant-apache-bcel 
Provides: ant-apache-resolver 
лучше еще добавить = %version-%release
------- Comment #8 From 2007-07-08 00:51:59 -------
Fixed in 1.7.0-alt7